package com.core.utils;

import com.core.domain.OurBaseEntity;

import java.text.SimpleDateFormat;
import java.util.Date;

import static com.ruoyi.common.utils.SecurityUtils.getDeptId;
import static com.ruoyi.common.utils.SecurityUtils.getUsername;

public class LogfieldUtil {
    /**
     * 新增自动插入公共字段
     * @param o
     */
    public static void insert(Object o) {
        if (OurBaseEntity.class.isAssignableFrom(o.getClass())) {
            ((OurBaseEntity) o).setCreateBy(getUsername());
            ((OurBaseEntity) o).setCreateTime(new Date());
            update(o);
        }
    }

    /**
     * 更新自动插入公字段
     * @param o
     */
    public static void update(Object o) {
        if (OurBaseEntity.class.isAssignableFrom(o.getClass())) {
            ((OurBaseEntity) o).setUpdateBy(getUsername());
            ((OurBaseEntity) o).setUpdateTime(new Date());
        }
    }
}
